Skip to main content
GET
/
api
/
v1
/
misc
/
facebook
/
recommendations
/
{recommendationId}
Get a single imported Facebook recommendation
curl --request GET \
  --url https://api.bundle.social/api/v1/misc/facebook/recommendations/{recommendationId} \
  --header 'x-api-key: <api-key>'
{
  "id": "<string>",
  "socialAccountId": "<string>",
  "teamId": "<string>",
  "externalRecommendationId": "<string>",
  "hasMedia": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "openGraphStoryId": "<string>",
  "reviewerDisplayName": "<string>",
  "reviewerProfilePhotoUrl": "<string>",
  "recommendationValue": "RECOMMEND",
  "rating": 123,
  "comment": "<string>",
  "mediaSummary": [
    "<string>"
  ],
  "ownerReplyComment": "<string>",
  "ownerReplyCommentId": "<string>",
  "ownerReplyUpdatedAt": "2023-11-07T05:31:56Z",
  "createTime": "2023-11-07T05:31:56Z",
  "updateTime": "2023-11-07T05:31:56Z",
  "importedAt": "2023-11-07T05:31:56Z",
  "deletedAt": "2023-11-07T05:31:56Z"
}

Authorizations

x-api-key
string
header
required

Path Parameters

recommendationId
string
required

Query Parameters

teamId
string
required

Response

200

id
string
required
socialAccountId
string
required
teamId
string
required
externalRecommendationId
string
required
hasMedia
boolean
required
createdAt
string<date-time> | null
required
updatedAt
string<date-time> | null
required
openGraphStoryId
string | null
reviewerDisplayName
string | null
reviewerProfilePhotoUrl
string | null
recommendationValue
enum<string> | null
Available options:
RECOMMEND,
NOT_RECOMMEND,
UNKNOWN
rating
number | null
comment
string | null
mediaSummary
string[] | null
ownerReplyComment
string | null
ownerReplyCommentId
string | null
ownerReplyUpdatedAt
string<date-time> | null
createTime
string<date-time> | null
updateTime
string<date-time> | null
importedAt
string<date-time> | null
deletedAt
string<date-time> | null